---
sidebar_position: 1
description: Set handler argument and other functions to work with Melezh in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Set handler argument
 Sets an argument to the handler function, allowing it to be unspecified when called



`Function SetHandlerArgument(Val Project, Val HandlersKey, Val Argument, Val Value, Val Strict = True) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Project | --proj | String | &#x2714; | Project filepath |
  | HandlersKey | --handler | String | &#x2714; | Handlers key |
  | Argument | --arg | String | &#x2714; | CLI argument (option) for the handler function |
  | Value | --value | String | &#x2714; | String argument value |
  | Strict | --strict | Boolean | &#x2716; | True > argument cannot be overwritten with data from the query |

  
  Returns:  Structure Of KeyAndValue - Setting result

<br/>



 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            melezh  SetHandlerArgument \
              --proj "/proj.melezh" \
              --handler "my-key" \
              --arg "text" \
              --value "Hello world!" \
              --strict true
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            melezh  SetHandlerArgument ^
              --proj "/proj.melezh" ^
              --handler "my-key" ^
              --arg "text" ^
              --value "Hello world!" ^
              --strict true
        ```
    </TabItem>
</Tabs>

```json title="Result"
{
 "data": {
  "active": 1,
  "function": "CreatePost",
  "key": "my-key",
  "library": "vk",
  "method": "FORM",
  "args": [
   {
    "arg": "text",
    "strict": 1,
    "value": "Hello world!"
   }
  ]
 },
 "result": true
}
```
